Reinforcement BentShapeRebar

From FreeCAD Documentation
Revision as of 03:19, 28 November 2018 by Vocx (talk | contribs) (400px image)

Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
Stirrup Rebar, Arch Rebar

Description

The BentShape Rebar tool allows the user to create a set of bent reinforcing bars inside an Arch Structure object.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Two sets of bent reinforcement bars inside an Arch Structure

How to use

  1. Select any face of a previously created Arch Structure object.
  2. Then select BentShape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar.
  6. Select the mode of distribution either amount or spacing.
  7. If spacing is selected, a user can also opt for custom spacing.
  8. Pick selected face is used to verify or change the face for rebar distribution.
  9. Click OK or Apply to generate the rebars.
  10. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar BentShape tool

Properties

  • DataOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DataFront Cover: The distance between rebar and selected face.
  • DataLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DataRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataAnchor Length: It is the arm's length of bent shape rebar.
  • DataBent Angle: It decides angle in bent shape rebar.
  • DataAmount: The amount of rebars.
  • DataSpacing: The distance between the axes of each bar.

Scripting

The Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")